### Method

# Gio UnixFDMessage append_fd

since: 2.22

#### Declaration

    gboolean
    g_unix_fd_message_append_fd (
      GUnixFDMessage* message,
      gint fd,
      GError** error
    )

#### Description

Adds a file descriptor to `message`.

The file descriptor is duplicated using dup(). You keep your copy of the descriptor and the copy contained in `message` will be closed when `message` is finalized.

A possible cause of failure is exceeding the per-process or system-wide file descriptor limit.

Available since: 2.22

#### Parameters

`fd`

  Type: `gint`

  A valid open file descriptor.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` in case of success, else `FALSE` (and `error` is set)